Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class ActionIzerItem

    java.lang.Object
      things.thinger.service.httptool.ActionIzerItem

    public class ActionIzerItem

extends java.lang.Object

A configured item for ActionIzer.

Version:
  1.0

  Version History

      EPG - Initial - 2 NOV 08

Author:
  Erich P. Gatejen

Nested Class Summary
`static class` | `ActionIzerItem.Type`

Field Summary
`static java.lang.String` | `BOOLEAN__SELECTED_VALUE`
`boolean` | `booleanValue`
`boolean` | `isRequired`
`java.lang.String` | `name`
`java.lang.String` | `propertyName`
`java.lang.String` | `tag`
`java.lang.String` | `tag_false`
`ActionIzerItem.Type` | `type`
`java.lang.String` | `value`
`java.lang.String` | `valueFalse`

Constructor Summary
`ActionIzerItem(java.lang.String name, java.lang.String value, boolean isRequired, ActionIzerItem.Type type, java.lang.String tag, java.lang.String propertyName)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN__SELECTED_VALUE

    public static java.lang.String BOOLEAN__SELECTED_VALUE

### name

    public java.lang.String name

### isRequired

    public boolean isRequired

### type

    public ActionIzerItem.Type type

### value

    public java.lang.String value

### valueFalse

    public java.lang.String valueFalse

### booleanValue

    public boolean booleanValue

### tag

    public java.lang.String tag

### tag_false

    public java.lang.String tag_false

### propertyName

    public java.lang.String propertyName

Constructor Detail

### ActionIzerItem

    public ActionIzerItem(java.lang.String name,
                          java.lang.String value,
                          boolean isRequired,
                          ActionIzerItem.Type type,
                          java.lang.String tag,
                          java.lang.String propertyName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.